go-ring API Reference
OpenapiLocations

List device groups at a location

Retrieves device groups configured for a location.

GET
/groups/v1/locations/{location_id}/groups

Authorization

RingAccessToken
AuthorizationBearer <token>

Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.

In: header

Path Parameters

location_id*string

Response Body

application/json

curl -X GET "https://example.com/groups/v1/locations/string/groups"
{  "device_groups": [],  "is_owner": false}